/** @format */

import request from "@/utils/request";

// 查询人才绿卡申请列表
export function listForm(query) {
  return request({
    url: "/application/form/list",
    method: "get",
    params: query,
  });
}

// 查询人才绿卡申请详细
export function getForm(id) {
  return request({
    url: "/application/form/" + id,
    method: "get",
  });
}

// 新增人才绿卡申请
export function addForm(data) {
  return request({
    url: "/application/form",
    method: "post",
    data: data,
  });
}

// 修改人才绿卡申请
export function updateForm(data) {
  return request({
    url: "/application/form",
    method: "put",
    data: data,
  });
}

// 删除人才绿卡申请
export function delForm(id) {
  return request({
    url: "/application/form/" + id,
    method: "delete",
  });
}

//获取不予受理的详情
export function getApplicationState(params) {
  return request({
    url: "/audit/opinion/shenqingStateByByslDetail",
    method: "get",
    params,
  });
}
